For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
      • GETList users
  • ElevenAPI
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
  • Conversational AI
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAgentsUsers

List users

GET
/v1/convai/users
GET
/v1/convai/users
$curl https://api.elevenlabs.io/v1/convai/users \
> -H "Content-Type: application/json"
1{
2 "users": [
3 {
4 "user_id": "user_9f8b7c6d5e4a3b2c1d0e",
5 "last_contact_unix_secs": 1685404800,
6 "first_contact_unix_secs": 1677628800,
7 "conversation_count": 42,
8 "last_contact_conversation_id": "conv_5a6b7c8d9e0f1a2b3c4d",
9 "last_contact_agent_id": "agent_3701k3ttaq12ewp8b7qv5rfyszkz",
10 "last_contact_agent_name": "SupportBot Alpha"
11 }
12 ],
13 "has_more": true,
14 "next_cursor": "eyJwYWdlIjoxfQ=="
15}
Get distinct users from conversations with pagination.
Was this page helpful?
Previous

List tools

Next
Built with

Headers

xi-api-keystringOptional

Query parameters

agent_idstring or nullOptional

Agent id (agent_…) or speech engine external id (seng_), resolved to the same underlying resource.

branch_idstring or nullOptional
Filter conversations by branch ID.
call_start_before_unixinteger or nullOptional

Unix timestamp (in seconds) to filter conversations up to this start date.

call_start_after_unixinteger or nullOptional

Unix timestamp (in seconds) to filter conversations after to this start date.

searchstring or nullOptional

Search/filter by user ID (exact match).

page_sizeintegerOptional1-100Defaults to 30
How many users to return at maximum. Defaults to 30.
sort_byenumOptional

The field to sort the results by. Defaults to last_contact_unix_secs.

Allowed values:
cursorstring or nullOptional
Used for fetching next page. Cursor is returned in the response.

Response

Successful Response
userslist of objects
has_moreboolean
next_cursorstring or null

Errors

422
Unprocessable Entity Error